<?php
/*
Plugin Name: Google Analytics Manager
Plugin URI: http://wordpress.org/extend/plugins/simplegamanager/
Description: Enables <a href="http://www.google.com/analytics/" target="_blank">Google Analytics</a> on all pages.
Version: 1.0.2
Author: Justin Rains
Author URI: https://justinrains.com/google-analytics-wordpress-plugin/
*/

if (!defined('WP_CONTENT_URL'))
      define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
      define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if (!defined('WP_PLUGIN_URL'))
      define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
if (!defined('WP_PLUGIN_DIR'))
      define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');

function activate_gamanager() {
  add_option('analytics_id', 'UA-xxxxxxxxx');
}

function deactive_gamanager() {
  delete_option('analytics_id');
}

function admin_init_gamanager() {
  register_setting('gamanager', 'analytics_id');
}

function admin_menu_gamanager() {
  add_options_page('Google Analytics Manager', 'Google Analytics Manager', 'manage_options', 'gamanager', 'options_page_gamanager');
}

function options_page_gamanager() {
  include(WP_PLUGIN_DIR.'/simple-google-analytics-manager/options.php');  
}

function gamanager() {
  $tag_id = get_option('analytics_id');
?>
<!-- Simple Google Analytics Manager -->
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', '<?php echo $tag_id ?>', 'auto');
  ga('send', 'pageview');
</script>
<!-- End Simple Google Analytics Manager -->
<?php
}

register_activation_hook(__FILE__, 'activate_gamanager');
register_deactivation_hook(__FILE__, 'deactive_gamanager');

if (is_admin()) {
  add_action('admin_init', 'admin_init_gamanager');
  add_action('admin_menu', 'admin_menu_gamanager');
}

add_action('wp_head', 'gamanager');
?>
